Page MenuHomePhabricator

Add patent template for 3D uploads
Closed, ResolvedPublic

Description

I'll split these below 4 things into separate subtasks:

  • Create Template:3dpatent, which will be added to 3D uploads
  • Make Special:UploadWizard add {{3dpatent}} to 3D files that have been uploaded (if patent agreement has been accepted, which is required to be able to upload)
  • Make Special:Upload add {{3dpatent}} to 3D files that have been uploaded (will need to alter custom JS)
  • Create tracking category Category:Files_with_no_machine-readable_patent for 3D uploads lacking {{3dpatent}}

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptDec 12 2017, 1:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ainali added a subscriber: Ainali.Dec 12 2017, 1:49 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Dec 12 2017, 10:08 PM
Ramsey-WMF triaged this task as High priority.Dec 16 2017, 1:12 AM
Ramsey-WMF moved this task from To Do to Doing on the Multimedia-Team-Working-Board board.
Ainali added a comment.Jan 3 2018, 2:01 PM

Is this a blocker for T3790? I wonder since it is not marked as such.

Is this a blocker for T3790? I wonder since it is not marked as such.

Hi there. We don't really consider it a "blocker", just a critical component of the overall 3D development (for legal reasons). We intend to have it ready in the next few working days anyway.

ABorbaWMF closed this task as Resolved.Feb 8 2018, 6:05 PM
ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me. Tested along with T182684